AVD kann nicht gestartet werden (SDK Werkzeuge 22.6.2 )

? Robbe Van Winckel @ | Original: StackOverFlow
---

Ich habe die ADT Bündel ( 22.6.2 ) . Beim Öffnen des Android SDK -Manager habe ich die Version des SDK Werkzeuge betrug 22,3, ein Upgrade für die SDK -Tools 22.6.2 verfügbar . Ich habe versucht, einen Emulator laufen erste und das perfekt funktioniert . Danach habe ich installiert SDK Werkzeuge 22.6.2, zusammen mit anderen APIs . Als ich versuchte, die Eröffnung eines Emulators wieder, es hat nicht funktioniert .

Ich kann erstellen, bearbeiten und löschen AVD ist . Aber sie werden nicht gestartet. Nachdem ich auf launch, bekomme ich die Starting Android Device -Bildschirm, en die Bar füllt, aber nichts passiert. Ich habe versucht, das Spiel mit unterschiedlichen Zielen, verschiedene Geräte, verschiedene RAM, aber ohne Erfolg .

Ich habe versucht, die Tötung der adb -Server und neu zu starten . Nichts ändert . Kein Gerät zeigt sich aber auch, wenn ich versuche adb devices, auch wenn ich sie gemacht in der AVD Manager.

Ich fühle mich wie das Problem hat mit den SDK -Tools mit rev tun . 22.6.2 . Weil, wenn ich eine Neuinstallation (SDK Werkzeuge als 22.3), funktioniert alles .

Wer weiß, eine Lösung oder geht zurück auf SDK -Tools 22.3 der einzige?

EDIT: Dies ist auf OS X 10.6.8, nicht sicher, ob es der Rede wert.

EDIT 2 : Ich entschuldige mich für die Beantwortung nicht für eine lange Zeit . Wie auch immer, das Problem immer noch nicht festgelegt. Als ich nach Aktualisierungen überprüft, waren keine vorhanden . Als ich versuchte, neue Software zu installieren es hat mir alles erzählt wurde bereits installiert. Ich habe https sowie http . Ich ungeprüft " Kontakt alle Update-Sites während der Installation der erforderlichen Software finden " . Ich habe immer noch keine Ahnung, was falsch sein könnte .

---

Top 5 Antwort

1vincent @

http://developer.android.com/sdk/installing/installing-adt.html sind die Schritte von android.com . Ich hatte das Problem speichern . Dies funktioniert für mich.

1. Laden Sie die http://dl.google.com/android/ADT-22.6.2.zip ( nicht entpacken ) . 2.Starten Eclipse wählen Sie Hilfe> Neue Software installieren . 3.Click hinzufügen, in der rechten oberen Ecke . 4.In der Repository -Dialog hinzufügen, klicken Sie auf Archiv . 5. Wählen Sie die heruntergeladene Datei ADT-22.6.2.zip und klicken Sie auf OK . 6.Geben " ADT Plugin" für den Namen und klicken Sie auf OK . 7.In Verfügbare Dialog Software, wählen Sie das Kontrollkästchen neben Entwicklertools und klicken Sie auf Weiter . 8.In nächsten Fenster werden Sie sehen eine Liste der Tools, die heruntergeladen werden . Klicken Sie auf Weiter . 9.Read und die Lizenzvereinbarung akzeptieren, klicken Sie auf Fertig . Wenn Sie erhalten eine Sicherheitswarnung, dass die Authentizität oder Gültigkeit der Software kann nicht hergestellt werden, klicken Sie auf OK . 10. Wenn die Installation abgeschlossen ist, starten Sie Eclipse- .

2Lance Preston @

Ich empfehle Ihnen, neu installieren die ADT 22.6.2 Plug-in. So installieren Sie zunächst zu Ihrem Eclipse -Ordner ( der Ort, den Sie eclipse extrahiert ) durchsuchen. In der Wurzel des Eclipse -Ordner, haben Sie einen Ordner mit dem Namen "Plugins" . Löschen Sie alle Inhalte des Ordners . Nun, richten Sie Ihre Browser, um hier und laden Sie die ADT 22.6.2 Zip-Archiv : http://dl.google.com/android/ADT-22.6.2.zip

Haben Sie das Archiv nicht entpacken . Starten Sie Eclipse . Wählen Sie Hilfe -> Installieren neuer Software - > Klicken Sie auf "Hinzufügen" -> Geben Sie ihm einen Namen wie " ADT Plugin ' - > Klicken Sie auf Archiv und wechseln Sie zu lacation, wo man nur die ADT Zip-Archiv heruntergeladen und wählen Sie sie aus -> Hit OK -> Übernehmen Sie die Lizenzvereinbarungen und setzen Sie die Installation .

Regards!

3jomafer @

Ich habe das gleiche Problem hatte heute . Ich habe versucht, von Eclipse neu starten, nach Updates und keine Updates verfügbar waren .

Die Lösung war für mich zu öffnen Eclipse / Hilfe / Installieren neuer Software, fügen Sie diese URL in der "Arbeit mit " Abschnitt :  http://dl-ssl.google.com/android/eclipse/

und installieren Sie die Entwickler-Tools .

4Kiet @

Von diesem Thread http://code.google.com/a/eclipselabs.org/p/jvmmonitor/issues/detail?id=82

"Quick Antwort: Deaktivieren Sie die Option " Kontakt alle Update-Sites während der Installation der erforderlichen Software finden " "

Das Kontrollkästchen ist innerhalb Help-> Install New Software-> Installieren

Es funktioniert für mich .

5SPRBRN @

Ich hatte dieses Problem als gut, und fixiert sie wie folgt:

I removed all ADT and Android plugins. On OSX this is done via Eclipe (menu) > About Eclipse. On Windows via Help > About Eclipse and then the button Installation details. Then I reinstalled the ADT plugin via Help > Install new software Check for updates. Uncheck Hide items that are already installed, because then the update that you need might be hidden. Check only the 22.6.2 update and run it. Restart Eclipse and see if the problem is fixed. Then install all updates as needed.

Dass es für mich fest .